Bug Hunting Session
Bug 116074 - Send -> E-mail document... blocks LibreOffice until sending e-mail is finished
Summary: Send -> E-mail document... blocks LibreOffice until sending e-mail is finished
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Windows (All)
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: File-Send
  Show dependency treegraph
 
Reported: 2018-02-28 00:08 UTC by Aron Budea
Modified: 2018-03-07 05:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-02-28 00:08:41 UTC
This is likely a Windows-only issue.
Try to e-mail a document with an e-mail client set up (at least works with Outlook).

=> While the user is writing the e-mail, LibreOffice window is unresponsive in the background.

Reproduced using LO 6.1 master build / Windows 7.
Comment 1 Mike Kaganski 2018-02-28 00:16:12 UTC
https://gerrit.libreoffice.org/50476
Comment 2 Commit Notification 2018-02-28 05:01:32 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5874c76371562c3e2d8564b1fb04df1997091d27

tdf#116074: Use modeless dialogs with supporting mailers

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Mike Kaganski 2018-03-06 15:03:16 UTC
https://gerrit.libreoffice.org/50826
Comment 4 Commit Notification 2018-03-07 03:31:24 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f061dad7f875f704e3744fc5780c1d145b22e9f

tdf#116074: Don't block on sending email interactively

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.